// gate-level 2-to-4 line decoder with enable
//
// Ryan Clarke
// rfclarke@alum.wpi.edu

module binary_decoder
(
    input wire en,
    input wire [1:0] a,
    output wire [3:0] d
);

    assign d[0] = en & ~a[0] & ~a[1];
    assign d[1] = en & a[0] & ~a[1];
    assign d[2] = en & ~a[0] & a[1];
    assign d[3] = en & a[0] & a[1];
    
endmodule
